Apache JMeter

## org.apache.jmeter.testbeans.gui
Enum TypeEditor

    java.lang.Object
      java.lang.Enum<TypeEditor>
          org.apache.jmeter.testbeans.gui.TypeEditor

All Implemented Interfaces:
  Serializable, Comparable<TypeEditor>

    public enum TypeEditor

extends Enum<TypeEditor>

Allow direct specification of property editors.

Enum Constant Summary
`FileEditor`
`PasswordEditor`
`TableEditor`
`TextAreaEditor`

Method Summary
`static TypeEditor` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeEditor[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FileEditor

    public static final TypeEditor FileEditor

### PasswordEditor

    public static final TypeEditor PasswordEditor

### TableEditor

    public static final TypeEditor TableEditor

### TextAreaEditor

    public static final TypeEditor TextAreaEditor

Method Detail

### values

    public static final TypeEditor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TypeEditor c : TypeEditor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TypeEditor valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.